#
# spec file for package syslog-ng (Version 1.4.12)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  automake ghostscript-fonts-std ghostscript-library ghostscript-serv glib gppshare libjpeg libol libol-devel libpng xshared
# usedforbuild    aaa_base aaa_dir base bash bindutil bison bzip compress cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib gcc gdbm gettext ghostscript-fonts-std ghostscript-library ghostscript-serv glib libjpeg libol libol-devel libpng libtool libz pam perl rpm xshared

Name:         syslog-ng
Version:      1.4.12
Release:      72
Copyright:    GPL, (c) 1999 Balzs Scheidler, (c) 1999-2000 BalaBit IT Ltd.
Group:        System Environment/Daemons
Provides:     syslog-ng
Autoreqprov:  on
Summary:      new-generation syslog-daemon
Url:          http://www.balabit.hu/products/syslog-ng/
Source:       http://www.balabit.hu/downloads/syslog-ng/1.4/syslog-ng-%{version}.tar.gz
Patch0:       syslog-ng.suse.dif
#Patch1:       syslog-ng-%{version}.dif
Patch10:      syslog-ng-macro_expansion2.dif
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
syslog-ng is a "new-generation" syslogd (replacement)  for Unix
and Unix-like systems. It tries to fill the gaps in the original syslogd:
* powerful configurability
* filtering based on message content
* message integrity, message encryption (not yet implemented in 1.4.x)
* portability
* better network forwarding
The official home page of syslog-ng is:
http://www.balabit.hu/products/syslog-ng/
You can report problems via email to the syslog-ng mailing list at
<syslog-ng@lists.balabit.hu>
Support contracts and custom development is available. Please write for details.

Authors:
--------
    Balzs Scheidler <bazsi@balabit.hu>
    BalaBit IT Ltd. <info@balabit.hu>

SuSE series: n

%prep
%setup -n syslog-ng-%{version}
%patch0  -p0
#%patch1 -p0
%patch10 -p0
%{?suse_update_config:%{suse_update_config}}

%build
export CFLAGS="$RPM_OPT_FLAGS"
# avoid regeneration of *.x files
touch src/affile.*
./configure --prefix=/usr --sbindir=/usr/sbin --sysconfdir=/etc \
	--localstatedir=/var/run --mandir=%{_mandir} \
	--enable-static
make
[ -x /usr/bin/gs ] || ln -sf gs_serv /usr/bin/gs
ps2pdf doc/sgml/syslog-ng.ps doc/sgml/syslog-ng.pdf
tar xvzf doc/sgml/syslog-ng.html.tar.gz -C doc/sgml
mv doc/sgml/syslog-ng.html doc/sgml/html

%install
export RPM_BUILD_ROOT
for dir in /etc/syslog-ng \
           /etc/init.d/rc{1,2,3}.d \
           /var/adm/fillup-templates ;
do
  test -d $RPM_BUILD_ROOT/$dir || mkdir -p $RPM_BUILD_ROOT/$dir
done
#
make	prefix=$RPM_BUILD_ROOT/usr sbindir=$RPM_BUILD_ROOT/sbin \
	sysconfdir=$RPM_BUILD_ROOT/etc localstatedir=$RPM_BUILD_ROOT/var/run \
	mandir=$RPM_BUILD_ROOT/%{_mandir} install-strip
#
install -m644 -oroot -groot syslog-ng.conf \
	$RPM_BUILD_ROOT/etc/syslog-ng/syslog-ng.conf
install -m644 -oroot -groot syslog-ng.rc.config \
	$RPM_BUILD_ROOT/var/adm/fillup-templates/rc.config.syslog-ng
#
install -m754 -oroot -groot syslog-ng.rc.script \
	$RPM_BUILD_ROOT/etc/init.d/syslog-ng
#
mkdir -p $RPM_BUILD_ROOT/usr/sbin
ln -s ../../etc/init.d/syslog-ng $RPM_BUILD_ROOT/usr/sbin/rcsyslog-ng

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.syslog-ng
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.syslog-ng"
  echo "and update by hand."
fi
# Create symbolic run level links during installation
sbin/insserv etc/init.d/syslog-ng

%postun
# Rearrange run level symlinks after removing the init script
sbin/insserv etc/init.d/

%files
%defattr(-,root,root)
%doc COPYING AUTHORS README ChangeLog INSTALL NEWS
%doc doc/stresstest.sh doc/syslog-ng.conf.{sample,demo}
%doc doc/sgml/syslog-ng.{txt,pdf} doc/sgml/html
%attr(755,root,root) /sbin/syslog-ng
/usr/share/man/man5/syslog-ng.conf.5*
/usr/share/man/man8/syslog-ng.8*
%dir /etc/syslog-ng
%config(noreplace) /etc/syslog-ng/syslog-ng.conf
%config /etc/init.d/syslog-ng
/usr/sbin/rcsyslog-ng
/var/adm/fillup-templates/rc.config.syslog-ng

%changelog -n syslog-ng
* Fri Oct 18 2002 - mt@suse.de
- replaced syslog-ng macro expansion patch with a better
  one checking negative lenghts, done by krahmer@suse.de
  new patch file: syslog-ng-macro_expansion2.dif
* Mon Oct 14 2002 - mt@suse.de
- added security fix for buffer overflow in macro expansion
  template handling as published on:
  http://www.balabit.hu/static/zsa/ZSA-2002-014-en.txt
* Fri Jul 20 2001 - mt@suse.de
- updated to 1.4.12
- fixed run level script to be LSB compliant
- added glib and gppshare to neededforbuild (ghostscript deps)
- added gs -> gs_serv link if not there
* Fri Jul 20 2001 - kukuk@suse.de
- changed neededforbuild <gs_fonts> to <ghostscript-fonts-std>
- changed neededforbuild <gs_lib> to <ghostscript-library>
- changed neededforbuild <gs_serv> to <ghostscript-serv>
* Thu May 03 2001 - mt@suse.de
- added suse_update_config macro in spec
* Thu Apr 26 2001 - mt@suse.de
- changed runlevel script
* Wed Mar 21 2001 - ro@suse.de
- create dir before installing file into it
* Thu Mar 15 2001 - mt@suse.de
- new package, version 1.4.11
